Đến nội dung


Hình ảnh
- - - - -

Lisp đổi màu text sau khi sửa


  • Please log in to reply
46 replies to this topic

#41 trinhngoctri

trinhngoctri

    biết vẽ pline

  • Members
  • PipPip
  • 62 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 03 September 2015 - 08:45 AM

 

Vậy bạn dùng lisp này:

(defun c:CTE (/ mausac mouse cont contt ent)
(vl-load-com)
(setq mausac "1") ; thay doi mau o day
(setq mouse nil)
(prompt "\n Chon doi tuong :")
(while (/= (car mouse) 2)
(setq mouse (grread 0 15 2))
(if (= (car mouse) 3)
(if (and (setq ent (nentselp (cadr mouse)))
         (or (wcmatch (cdr(assoc 0 (entget (car ent)))) "*TEXT")
          (eq (type (last ent)) 'ENAME)
)
     )
   (progn
(if (and (wcmatch (cdr(assoc 0 (entget (car ent)))) "*TEXT") (null (eq (type (car (last ent))) 'ENAME)))
   (progn (setq cont (cdr(assoc 1 (entget (setq ent (car ent)))))) (command ".ddedit" ent ""))
   (progn (setq cont (vlax-get (vlax-ename->vla-object (setq ent (car (last ent)))) 'TextOverride)) (command ".ddedit" ent ""))
)
(princ "\n doi tuong duoc pick chon/ENTER ke ket thuc chon")
 
(if (and (wcmatch (cdr(assoc 0 (entget ent))) "*TEXT") (null (eq (type ent) 'ENAME)))
      (if (/= (cdr(assoc 1 (entget ent))) cont)
       (command ".chprop" ent "" "c" mausac "")
      )
)
(if (eq (type ent) 'ENAME)
 (if (= (cdr(assoc 0 (entget ent))) "DIMENSION")
   (if (/= (vlax-get (vlax-ename->vla-object ent) 'TextOverride) cont)
    ;(command ".ddedit" ent "" ".DIMOVERRIDE" "dimclrt" mausac "" ent "") )
(command ".DIMOVERRIDE" "dimclrt" mausac "" ent "") )
   )
)
(princ "\nChon doi tuong")
)
)
)
)
(princ)
)

Sao tôi Ap xong rồi đánh lênh CTE mà nó không hiểu j vậy bạn.


  • 0

#42 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 03 September 2015 - 11:51 AM

Sao tôi Ap xong rồi đánh lênh CTE mà nó không hiểu j vậy bạn.

 

Ở dòng Command  báo gì vậy bạn?


  • 0

#43 trinhngoctri

trinhngoctri

    biết vẽ pline

  • Members
  • PipPip
  • 62 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 03 September 2015 - 02:35 PM

nó như thế này 64998_untitled.jpg


  • 0

#44 trinhngoctri

trinhngoctri

    biết vẽ pline

  • Members
  • PipPip
  • 62 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 03 September 2015 - 03:11 PM

sao mà cho tui -1 thế. ap rồi đánh lệnh cte nó không hiểu mà


  • 0

#45 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 03 September 2015 - 04:19 PM

nó như thế này 

 

Mình upload file lên mediafire. 

Bạn sử dụng thử : 

http://www.mediafire...aorx0cv/cte.lsp

 

P/S: Không biết ai đã trừ bạn điểm nhỉ??


  • 0

#46 anti lazy

anti lazy

    biết lệnh erase

  • Members
  • PipPipPip
  • 107 Bài viết
Điểm đánh giá: 27 (tàm tạm)

Đã gửi 03 September 2015 - 09:08 PM

sao mà cho tui -1 thế. ap rồi đánh lệnh cte nó không hiểu mà

Có lẽ là do bạn không chịu theo dõi, lỗi này do bấm nút download để tải về. Lỗi loại này.đã xảy ra nhiều và cũng đã có nhiều câu trả lời.

Cách 1: Copy trực tiếp trong codebox

Cách 2:Mở bằng vlide, xoá các ký tự lạ ở đầu dòng


  • 0

#47 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5450 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 03 September 2015 - 09:15 PM

Có lẽ là do bạn không chịu theo dõi, lỗi này do bấm nút download để tải về. Lỗi loại này.đã xảy ra nhiều và cũng đã có nhiều câu trả lời.

Cách 1: Copy trực tiếp trong codebox

Cách 2:Mở bằng vlide, xoá các ký tự lạ ở đầu dòng

Nếu có 1 điểm trừ cho trường hợp này thì nên chuyển từ bạn Trinhngoctri sang bạn CadViet mới hợp lý nhỉ? Góp ý rất nhiều mà không thấy nhúc nhích.


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.